## qtchooser 39

=== Makefile ===
prefix = /usr
bindir = $(prefix)/bin
TOOLS = assistant \
	designer \
	lconvert \
	linguist \
	lrelease \
	lupdate \
	moc \
	pixeltool \
	qcollectiongenerator \
	qdbus \
	qdbuscpp2xml \
	qdbusviewer \
	qdbusxml2cpp \
	qdoc \
	qdoc3 \
	qglinfo \
	qhelpconverter \
	qhelpgenerator \
	qmake \
	qml \
	qml1plugindump \
	qmlbundle \
	qmlmin \
	qmlplugindump \
	qmlprofiler \
	qmlscene \
	qmltestrunner \
	qmlviewer \
	qtconfig \
	rcc \
	uic \
	uic3 \
	xmlpatterns \
	xmlpatternsvalidator \

# keep the above line empty

MACTOOLS = macdeployqt

all:
	cd src/qtchooser && $(MAKE)

clean:
	-cd src/qtchooser && $(MAKE) clean
	-cd tests/auto && $(MAKE) clean

distclean:
	-cd src/qtchooser && $(MAKE) distclean
	-cd tests/auto && $(MAKE) distclean

install:
	cd src/qtchooser && $(MAKE) install
	for tool in $(TOOLS); do ln -sf qtchooser "$(INSTALL_ROOT)$(bindir)/$$tool"; done
	case `uname -s` in Darwin) \
	    for tool in $(MACTOOLS); do ln -sf qtchooser "$(INSTALL_ROOT)$(bindir)/$$tool"; done \
	;; esac

uninstall:
	cd src/qtchooser && $(MAKE) uninstall
	-for tool in $(TOOLS); do rm -f "$(INSTALL_ROOT)$(bindir)/$$tool"; done
	case `uname -s` in Darwin) \
	    for tool in $(MACTOOLS); do rm -f "$(INSTALL_ROOT)$(bindir)/$$tool"; done \
	;; esac

tests/auto/Makefile: tests/auto/auto.pro
	cd tests/auto && qmake -o Makefile auto.pro

check: tests/auto/Makefile
	cd src/qtchooser && $(MAKE) check
	cd tests/auto && $(MAKE) check

HEAD          = HEAD
dist: .git
	@ \
	{ rev=$$(git describe --exact-match --tags $(HEAD) 2>/dev/null) && \
	  name=qtchooser-$${rev#v}; } || \
	{ rev=$$(git rev-parse --short $(HEAD)) && \
	  name=qtchooser-$$(git rev-list $(HEAD) | wc -l)-g$$rev; } && \
	echo "Creating package $$name" >&2 && \
	git archive --prefix="$$name/" -9 --format=tar.gz -o $$name.tar.gz $$rev && \
	git archive --prefix="$$name/" -9 --format=zip -v -o $$name.zip $$rev

distcheck: .git
	git archive --prefix=qtchooser-distcheck/ --format=tar $(HEAD) | tar -xf -
	cd qtchooser-distcheck && $(MAKE) check
	-rm -rf qtchooser-distcheck

.PHONY: all install uninstall check clean distclean dist

=== src/qtchooser/Makefile ===
prefix = /usr
bindir = $(prefix)/bin

####### Compiler, tools and options

INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Files

SOURCES       = main.cpp
OBJECTS       = main.o
TARGET        = qtchooser

OBJECTS_TEST  = main-test.o
TARGET_TEST   = test/qtchooser

ifneq ($(QTCHOOSER_GLOBAL_DIR),)
	QTCHOOSER_GLOBAL_DIR_VAR:=-DQTCHOOSER_GLOBAL_DIR=\"$(QTCHOOSER_GLOBAL_DIR)\"
endif

first: all
check: $(TARGET_TEST)

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)
	$(CXX) $(LFLAGS) -o $(TARGET) $(OBJECTS)

$(TARGET_TEST):  $(OBJECTS_TEST)
	$(MKDIR) test
	$(CXX) $(LFLAGS) -o $(TARGET_TEST) $(OBJECTS_TEST)

clean:
	-$(DEL_FILE) $(OBJECTS) $(OBJECTS_TEST)
	-$(DEL_FILE) *~ core *.core

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET_TEST)

install: $(TARGET)
	$(MKDIR) "$(INSTALL_ROOT)$(bindir)"
	$(INSTALL_PROGRAM) $(TARGET) "$(INSTALL_ROOT)$(bindir)/$(TARGET)"

uninstall:
	-$(DEL_FILE) "$(INSTALL_ROOT)$(bindir)/$(TARGET)"


####### Compile

main.o: main.cpp
	$(CXX) -c -Wall -Wextra $(QTCHOOSER_GLOBAL_DIR_VAR) $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

main-test.o: main.cpp
	$(CXX) -c -Wall -Wextra -DQTCHOOSER_TEST_MODE $(QTCHOOSER_GLOBAL_DIR_VAR) -g $(CXXFLAGS) $(INCPATH) -o main-test.o main.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

## qtchooser 0.0.1~git20121229.g8f08405

=== debian/changelog ===
qtchooser (0.0.1~git20121229.g8f08405-0ubuntu3) raring; urgency=low

  * Fix FTBFS that I caused in the last update because qmake wasn't
    in the Build-Depends

 -- Michael Terry <mterry@ubuntu.com>  Tue, 12 Feb 2013 10:29:47 -0500

qtchooser (0.0.1~git20121229.g8f08405-0ubuntu2) raring; urgency=low

  * debian/patches/enable-tests.patch, debian/rules:
    - Enable running tests during the build.  Fix an upstream building
      issue by manually creating a Makefile when running tests.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 12 Feb 2013 10:06:10 -0500

qtchooser (0.0.1~git20121229.g8f08405-0ubuntu1) raring; urgency=low

  * Initial release.
  * Proposed upstream patch:
    - create-a-system-default-path.patch
  * Cherry-pick from upstream:
    - add_qdoc_and_qdoc3.patch
    - add_license_files.patch

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 06 Feb 2013 12:48:19 +0000

=== debian/control ===
Source: qtchooser
Section: libdevel
Priority: extra
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9), libqt4-dev
Standards-Version: 3.9.4
Homepage: https://qt-project.org/

Package: qtchooser
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libqt4-dev-bin (<= 4:4.8.4+dfsg-0ubuntu3~), qt4-designer (<= 4:4.8.4+dfsg-0ubuntu3~), qt4-dev-tools (<= 4:4.8.4+dfsg-0ubuntu3~), qt4-linguist-tools (<= 4:4.8.4+dfsg-0ubuntu3~), qt4-qmake (<= 4:4.8.4+dfsg-0ubuntu3~), qt4-qtconfig (<= 4:4.8.4+dfsg-0ubuntu3~), qdbus (<= 4:4.8.4+dfsg-0ubuntu3~), qt4-qmlviewer (<= 4:4.8.4+dfsg-0ubuntu3~), qtcreator (<= 2.6.0)
Suggests: qt4-default, qt5-default
Description: Wrapper to select between Qt development binary versions
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Chooser provides a wrapper to switch between versions of Qt 
 development binaries when multiple versions like 4 and 5 are installed 
 or local Qt builds are to be used.
 .
 If you wish to use Qt development binaries with the default PATH and 
 without special parameters, you need to additionally install either 
 qt4-default or qt5-default package to provide the default configuration.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_build:
	make QTCHOOSER_GLOBAL_DIR=/usr/share

override_dh_auto_install:
	make install INSTALL_ROOT=$(CURDIR)/debian/qtchooser

=== debian/watch ===
version=3
http://macieira.org/qtchooser/qtchooser-([\d\.]*)-[\d\w]*.tar.gz

## qtchooser 26

=== debian/changelog ===
qtchooser (26-3ubuntu2) saucy; urgency=low

  * Make the package Multi-Arch: foreign. LP: #1209239.
    Note, this is for installation only, choosing the defaults for the
    foreign architecture is not yet implemented.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Aug 2013 16:40:09 +0200

qtchooser (26-3ubuntu1) saucy; urgency=low

  * Merge with Debian experimental (LP: #1179995), remaining Ubuntu change:
    - Break qt4 (<= 4:4.8.4+dfsg-0ubuntu3~), not (<= 4:4.8.4+dfsg-1~).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 14 May 2013 19:13:13 +0400

qtchooser (26-3) experimental; urgency=low

  [ Pino Toscano ]
  * Add Vcs-Git and Vcs-Browser headers.
  * Append the CPPFLAGS to the CXXFLAGS, as qtchooser's build system uses only
    the latter.
  * Export the LDFLAGS as LFLAGS, as qtchooser's build system uses only the
    latter.
  * Drop the own copy of qtchooser.1 and use the upstream version.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add a three possible paths for configs. In this way:
    - We can add arch-triplet qualified configs.
    - We can install arch-specific configs.
    - We avoid FTBFS of Qt4 packages already in the archive without the need to
      patch debhelper for this.
    - Tools like qdbus will fallback to the Qt4 version even if qt4-default is
      not installed.
    Apps wanting to use Qt5's qdbus should explicitly call it with -qt=qt5.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 May 2013 17:20:15 -0300

qtchooser (26-2) experimental; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Fix missing BSD-3-clause license missing in debian/copyright. Thanks
    Ansgar Burchardt for noticing it!

  [ Pino Toscano ]
  * Fix build on Hurd (patch fix-PATH_MAX.diff).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 01 Apr 2013 19:44:06 -0300

qtchooser (26-1) experimental; urgency=low

  [ Timo Jyrinki ]
  * Initial release. (Closes: #696687)
  * Proposed upstream patch:
    - create-a-system-default-path.patch

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 24 Mar 2013 13:55:31 -0300

=== debian/control ===
Source: qtchooser
Section: libdevel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Timo Jyrinki <timo@debian.org>,
  Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: debhelper (>= 9), libqt4-dev
Standards-Version: 3.9.4
Homepage: https://qt-project.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtchooser.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtchooser.git;a=summary

Package: qtchooser
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt4-dev-bin (<= 4:4.8.4+dfsg-0ubuntu3~), qt4-designer (<= 4:4.8.4+dfsg-0ubuntu3~), qt4-dev-tools (<= 4:4.8.4+dfsg-0ubuntu3~), qt4-linguist-tools (<= 4:4.8.4+dfsg-0ubuntu3~), qt4-qmake (<= 4:4.8.4+dfsg-0ubuntu3~), qt4-qtconfig (<= 4:4.8.4+dfsg-0ubuntu3~), qdbus (<= 4:4.8.4+dfsg-0ubuntu3~), qt4-qmlviewer (<= 4:4.8.4+dfsg-0ubuntu3~), qtcreator (<= 2.6.0)
Replaces: libqt4-dev-bin (<= 4:4.8.4+dfsg-0ubuntu3~), qt4-designer (<= 4:4.8.4+dfsg-0ubuntu3~), qt4-dev-tools (<= 4:4.8.4+dfsg-0ubuntu3~), qt4-linguist-tools (<= 4:4.8.4+dfsg-0ubuntu3~), qt4-qmake (<= 4:4.8.4+dfsg-0ubuntu3~), qt4-qtconfig (<= 4:4.8.4+dfsg-0ubuntu3~), qdbus (<= 4:4.8.4+dfsg-0ubuntu3~), qt4-qmlviewer (<= 4:4.8.4+dfsg-0ubuntu3~), qtcreator (<= 2.6.0)
Suggests: qt4-default, qt5-default
Description: Wrapper to select between Qt development binary versions
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Chooser provides a wrapper to switch between versions of Qt 
 development binaries when multiple versions like 4 and 5 are installed 
 or local Qt builds are to be used.
 .
 If you wish to use Qt development binaries with the default PATH and 
 without special parameters, you need to additionally install either 
 qt4-default or qt5-default package to provide the default configuration.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CXXFLAGS_MAINT_APPEND := $(shell dpkg-buildflags --get CPPFLAGS)
export LFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ 

override_dh_auto_build:
	make QTCHOOSER_GLOBAL_DIR=/usr/share:/usr/lib/$(DEB_HOST_MULTIARCH):/usr/lib/$(DEB_HOST_MULTIARCH)/qt-default

override_dh_auto_install:
	make install INSTALL_ROOT=$(CURDIR)/debian/qtchooser

## qtchooser 39-g4717841

=== debian/changelog ===
qtchooser (39-g4717841-3) unstable; urgency=medium

  * Add a patch from Daniel Schepler to allow easier bootstraping of qtchooser
    (Closes: #738658).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 11 Feb 2014 13:52:42 -0300

qtchooser (39-g4717841-2) unstable; urgency=low

  [ Dmitry Shachnev ]
  * Make qtchooser Multi-Arch: foreign.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Backport Add-qmlimportscanner-qtpaths.patch to support qmlimportscanner
    and qtpaths (Closes: #735599).
  * Update Standards-Version to 3.9.5, no changes required.
  * Override dh_auto_test and simply run make check. Somehow dh_auto_test is
    not detecting the check rule.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 18 Jan 2014 23:18:53 -0300

qtchooser (39-g4717841-1) unstable; urgency=low

  * New upstream release.
  * Remove ensure_harcoded_paths_are_found.patch, applied upstream.
  * Refresh enable-tests.patch.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 17 Dec 2013 12:21:34 -0300

qtchooser (31-g980c64c-5) unstable; urgency=low

  [ Pino Toscano ]
  * Raise priority from extra to optional, since it is required by other
    "optional" packages.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Backport ensure_harcoded_paths_are_found.patch. This patch allows
    developers to avoid using the distro provided configuration by setting
    QTCHOOSER_NO_GLOBAL_DIR. This also allows setting XDG_CONFIG_DIRS
    without loosing the distro defined configurations (Closes: #726989).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 09 Dec 2013 18:42:33 -0300

qtchooser (31-g980c64c-4) unstable; urgency=low

  * Switch back to B-D on libqt4-dev and re-enable the tests.
    Also add README.source to let people know how to bootstrap qtchooser.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 20 Jun 2013 19:52:42 -0300

qtchooser (31-g980c64c-3) unstable; urgency=low

  * Some archs decided to build Qt 4.8.4 before qtchooser, thus making
    it unbuildable. To solve this, we remove the B-D on libqt4-dev
    and disable the tests just for this upload.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 24 May 2013 13:25:17 -0300

qtchooser (31-g980c64c-2) unstable; urgency=low

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 24 May 2013 11:02:23 -0300

qtchooser (31-g980c64c-1) experimental; urgency=low

  * New upstream release.
  * Improve debian/watch (Thanks Pino!).
  * Remove patches applied upstream:
    - create-a-system-default-path.patch.
    - fix-PATH_MAX.diff.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 18 May 2013 19:50:37 -0300

=== debian/control ===
Source: qtchooser
Section: libdevel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Timo Jyrinki <timo@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: debhelper (>= 9), libqt4-dev
Standards-Version: 3.9.5
Homepage: https://qt-project.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtchooser.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtchooser.git;a=summary

Package: qtchooser
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt4-dev-bin (<= 4:4.8.4+dfsg-1~),
        qdbus (<= 4:4.8.4+dfsg-1~),
        qt4-designer (<= 4:4.8.4+dfsg-1~),
        qt4-dev-tools (<= 4:4.8.4+dfsg-1~),
        qt4-linguist-tools (<= 4:4.8.4+dfsg-1~),
        qt4-qmake (<= 4:4.8.4+dfsg-1~),
        qt4-qmlviewer (<= 4:4.8.4+dfsg-1~),
        qt4-qtconfig (<= 4:4.8.4+dfsg-1~),
        qtcreator (<= 2.6.0)
Replaces: libqt4-dev-bin (<= 4:4.8.4+dfsg-1~),
          qdbus (<= 4:4.8.4+dfsg-1~),
          qt4-designer (<= 4:4.8.4+dfsg-1~),
          qt4-dev-tools (<= 4:4.8.4+dfsg-1~),
          qt4-linguist-tools (<= 4:4.8.4+dfsg-1~),
          qt4-qmake (<= 4:4.8.4+dfsg-1~),
          qt4-qmlviewer (<= 4:4.8.4+dfsg-1~),
          qt4-qtconfig (<= 4:4.8.4+dfsg-1~),
          qtcreator (<= 2.6.0)
Suggests: qt4-default, qt5-default
Description: Wrapper to select between Qt development binary versions
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Chooser provides a wrapper to switch between versions of Qt
 development binaries when multiple versions like 4 and 5 are installed
 or local Qt builds are to be used.
 .
 If you wish to use Qt development binaries with the default PATH and
 without special parameters, you need to additionally install either
 qt4-default or qt5-default package to provide the default configuration.

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,8 @@
 
 override_dh_auto_install:
 	make install INSTALL_ROOT=$(CURDIR)/debian/qtchooser
+
+override_dh_auto_test:
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+	make check
+endif

=== debian/watch ===
version=3
http://macieira.org/qtchooser/qtchooser-([\d\.]*-[\d\w]*).tar.gz

## qtchooser 47

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+MKDIR  = mkdir -p
 prefix = /usr
 bindir = $(prefix)/bin
 TOOLS = assistant \
@@ -18,10 +19,12 @@
 	qglinfo \
 	qhelpconverter \
 	qhelpgenerator \
+	qlalr \
 	qmake \
 	qml \
 	qml1plugindump \
 	qmlbundle \
+	qmlimportscanner \
 	qmlmin \
 	qmlplugindump \
 	qmlprofiler \
@@ -29,6 +32,8 @@
 	qmltestrunner \
 	qmlviewer \
 	qtconfig \
+	qtdiag \
+	qtpaths \
 	rcc \
 	uic \
 	uic3 \
@@ -56,6 +61,8 @@
 	case `uname -s` in Darwin) \
 	    for tool in $(MACTOOLS); do ln -sf qtchooser "$(INSTALL_ROOT)$(bindir)/$$tool"; done \
 	;; esac
+	$(MKDIR) $(INSTALL_ROOT)$(prefix)/share/man/man1
+	install -m 644 -p doc/qtchooser.1 $(INSTALL_ROOT)$(prefix)/share/man/man1
 
 uninstall:
 	cd src/qtchooser && $(MAKE) uninstall

## qtchooser 47-gd2b7997

=== debian/changelog ===
qtchooser (47-gd2b7997-2) unstable; urgency=medium

  * Re-enable tests.
  * Update enable-tests.patch to properly find qt5's qmake, as we don't have
    qtchooser available yet ;)
  * Do not suggest qt[4 5]-default anymore. They produce more harm than what
    they solve.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 19 Sep 2014 22:15:28 -0300

qtchooser (47-gd2b7997-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Remove Add-qmlimportscanner-qtpaths.patch, applied upstream.
  * Tests now require Qt5.
    - Refresh enable-tests.patch to use Qt5.
    - Build depend upon qtbase5-dev instead of libqt4-dev, but leave it
      commented so arm64 and ppc64el don't need to bootstrap it.
      I ran the tests and worked flawlessly, they will get re-enabled on
      the next upload.
    - Do not run the tests for this upload.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 26 Aug 2014 11:19:39 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Timo Jyrinki <timo@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Build-Depends: debhelper (>= 9), libqt4-dev
+Build-Depends: debhelper (>= 9),
+               qtbase5-dev
 Standards-Version: 3.9.5
 Homepage: https://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtchooser.git
@@ -32,7 +33,6 @@
           qt4-qmlviewer (<= 4:4.8.4+dfsg-1~),
           qt4-qtconfig (<= 4:4.8.4+dfsg-1~),
           qtcreator (<= 2.6.0)
-Suggests: qt4-default, qt5-default
 Description: Wrapper to select between Qt development binary versions
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qtchooser 52

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,9 @@
 	qml \
 	qml1plugindump \
 	qmlbundle \
+	qmleasing \
 	qmlimportscanner \
+	qmllint \
 	qmlmin \
 	qmlplugindump \
 	qmlprofiler \
@@ -43,6 +45,7 @@
 # keep the above line empty
 
 MACTOOLS = macdeployqt
+QMAKE = qmake
 
 all:
 	cd src/qtchooser && $(MAKE)
@@ -72,7 +75,7 @@
 	;; esac
 
 tests/auto/Makefile: tests/auto/auto.pro
-	cd tests/auto && qmake -o Makefile auto.pro
+	cd tests/auto && $(QMAKE) -o Makefile auto.pro
 
 check: tests/auto/Makefile
 	cd src/qtchooser && $(MAKE) check

## qtchooser 52-gae5eeef

=== debian/changelog ===
qtchooser (52-gae5eeef-2build1~gcc5.2) xenial; urgency=high

  * Build for s390x in proposed.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 09 Dec 2015 00:40:20 +0000

qtchooser (52-gae5eeef-2build1~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Jul 2015 17:33:54 +0000

qtchooser (52-gae5eeef-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Drop enable-tests.patch, instead just specify path to qmake
    as a make variable in debian/rules.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 25 Jun 2015 19:02:08 -0300

qtchooser (52-gae5eeef-1) experimental; urgency=medium

  * New upstream git snapshot.
  * Do not mention qtx-default packages in the long description. We don't want
    people to use them to build packages.
  * Refresh enable-tests.patch.
  * Update Standards-Version to 3.9.6, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 10 Feb 2015 20:07:33 -0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: qtchooser
 Section: libdevel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Timo Jyrinki <timo@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: debhelper (>= 9),
                qtbase5-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtchooser.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtchooser.git;a=summary
@@ -40,7 +41,3 @@
  The Qt Chooser provides a wrapper to switch between versions of Qt
  development binaries when multiple versions like 4 and 5 are installed
  or local Qt builds are to be used.
- .
- If you wish to use Qt development binaries with the default PATH and
- without special parameters, you need to additionally install either
- qt4-default or qt5-default package to provide the default configuration.

=== debian/rules ===
--- 
+++ 
@@ -16,5 +16,5 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	make check
+	make check QMAKE=/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qmake
 endif

## qtchooser 58

=== Makefile ===
--- 
+++ 
@@ -36,6 +36,7 @@
 	qtconfig \
 	qtdiag \
 	qtpaths \
+	qtplugininfo \
 	rcc \
 	uic \
 	uic3 \
@@ -77,7 +78,7 @@
 tests/auto/Makefile: tests/auto/auto.pro
 	cd tests/auto && $(QMAKE) -o Makefile auto.pro
 
-check: tests/auto/Makefile
+check: all tests/auto/Makefile
 	cd src/qtchooser && $(MAKE) check
 	cd tests/auto && $(MAKE) check
 
@@ -92,9 +93,16 @@
 	git archive --prefix="$$name/" -9 --format=tar.gz -o $$name.tar.gz $$rev && \
 	git archive --prefix="$$name/" -9 --format=zip -v -o $$name.zip $$rev
 
+tagdist: .git
+	@git describe --exact-match --tags $(HEAD) >/dev/null 2>&1 || { \
+	  n=$$(git rev-list --count $(HEAD)) && \
+	  echo "Creating tag v$$n" && \
+	  git tag -a -m "qtchooser release $$n" v$$n; }
+	$(MAKE) dist
+
 distcheck: .git
 	git archive --prefix=qtchooser-distcheck/ --format=tar $(HEAD) | tar -xf -
 	cd qtchooser-distcheck && $(MAKE) check
 	-rm -rf qtchooser-distcheck
 
-.PHONY: all install uninstall check clean distclean dist
+.PHONY: all install uninstall check clean distclean dist tagdist distcheck

## qtchooser 58-gfab25f1

=== debian/changelog ===
qtchooser (58-gfab25f1-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream git snapshot.
  * Drop obsolete Breaks/Replaces on pre-Jessie packages.
  * Ship configuration for Qt 4 and Qt 5 in this package (see #818536).
  * Use canonical Vcs fields.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Add myself to Uploaders.
  * Remove debian/README.source which contained outdated info.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream git snapshot.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 22 May 2016 11:49:04 -0300

=== debian/control ===
Source: qtchooser
Section: libdevel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Timo Jyrinki <timo@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>
Build-Depends: debhelper (>= 9), qtbase5-dev
Standards-Version: 3.9.7
Homepage: https://qt-project.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtchooser.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtchooser.git

Package: qtchooser
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt5core5a (<< 5.5.1+dfsg-17~), libqtcore4 (<< 4:4.8.7+dfsg-7~)
Replaces: libqt5core5a (<< 5.5.1+dfsg-17~), libqtcore4 (<< 4:4.8.7+dfsg-7~)
Description: Wrapper to select between Qt development binary versions
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Chooser provides a wrapper to switch between versions of Qt
 development binaries when multiple versions like 4 and 5 are installed
 or local Qt builds are to be used.

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,18 @@
 override_dh_auto_install:
 	make install INSTALL_ROOT=$(CURDIR)/debian/qtchooser
 
+	mkdir -p $(CURDIR)/debian/qtchooser/usr/share/qtchooser
+	mkdir -p $(CURDIR)/debian/qtchooser/usr/lib/$(DEB_HOST_MULTIARCH)/qtchooser
+
+	for ver in 4 5; do \
+		echo "/usr/lib/$(DEB_HOST_MULTIARCH)/qt$${ver}/bin" > $(CURDIR)/debian/qtchooser/usr/share/qtchooser/qt$${ver}-$(DEB_HOST_MULTIARCH).conf; \
+		echo "/usr/lib/$(DEB_HOST_MULTIARCH)" >> $(CURDIR)/debian/qtchooser/usr/share/qtchooser/qt$${ver}-$(DEB_HOST_MULTIARCH).conf; \
+		ln -s /usr/share/qtchooser/qt$${ver}-$(DEB_HOST_MULTIARCH).conf \
+			$(CURDIR)/debian/qtchooser/usr/lib/$(DEB_HOST_MULTIARCH)/qtchooser/$${ver}.conf; \
+		ln -s /usr/share/qtchooser/qt$${ver}-$(DEB_HOST_MULTIARCH).conf \
+			$(CURDIR)/debian/qtchooser/usr/lib/$(DEB_HOST_MULTIARCH)/qtchooser/qt$${ver}.conf; \
+	done
+
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	make check QMAKE=/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qmake

## qtchooser 63

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,6 @@
 	qdbusxml2cpp \
 	qdoc \
 	qdoc3 \
-	qglinfo \
 	qhelpconverter \
 	qhelpgenerator \
 	qlalr \

## qtchooser 63-g13a3d08

=== debian/changelog ===
qtchooser (63-g13a3d08-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add information about bootstrapping to README.Debian.
  * New upstream git snapshot.

  [ Dmitry Shachnev ]
  * Disable qtbase5-dev build-dependency on stage1 profile to break the
    dependency loop between qtbase-opensource-src and qtchooser.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 10 Nov 2016 12:29:34 -0300

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,10 @@
 Uploaders: Timo Jyrinki <timo@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper (>= 9), qtbase5-dev
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 9.20141010),
+               dpkg-dev (>= 1.17.14),
+               qtbase5-dev <!stage1 !nocheck>
+Standards-Version: 3.9.8
 Homepage: https://qt-project.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtchooser.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtchooser.git

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,8 @@
 	done
 
 override_dh_auto_test:
+ifeq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	make check QMAKE=/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qmake
 endif
+endif

## qtchooser 64

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 	qdbusxml2cpp \
 	qdoc \
 	qdoc3 \
+	qgltf \
 	qhelpconverter \
 	qhelpgenerator \
 	qlalr \
@@ -23,8 +24,10 @@
 	qml \
 	qml1plugindump \
 	qmlbundle \
+	qmlcachegen \
 	qmleasing \
 	qmlimportscanner \
+	qmljs \
 	qmllint \
 	qmlmin \
 	qmlplugindump \
@@ -36,7 +39,9 @@
 	qtdiag \
 	qtpaths \
 	qtplugininfo \
+	qvkgen \
 	rcc \
+	repc \
 	uic \
 	uic3 \
 	xmlpatterns \

## qtchooser 64-ga1b6736

=== debian/changelog ===
qtchooser (64-ga1b6736-5) unstable; urgency=medium

  * Add Breaks/Replaces against qtchooser-bin (closes: #884823).
  * Update debian/copyright.
  * Use non-multiarch location of qmake for running the tests.
  * Update debhelper compat level to 10.
  * Bump Standards-Version to 4.1.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 22 Dec 2017 00:00:57 +0300

qtchooser (64-ga1b6736-4) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Update Qt 5 configuration file for the new binaries path (closes: #880159).
    - Add Breaks: against old qtbase5-dev-tools and qttools5-dev-tools versions.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 30 Oct 2017 10:12:41 -0300

qtchooser (64-ga1b6736-3) unstable; urgency=medium

  * Add a patch to fix checking return value of endsWith. This should
    make -run-tool argument work again with new Qt packages.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 29 Oct 2017 22:33:16 +0300

qtchooser (64-ga1b6736-2) unstable; urgency=medium

  * Revert the split done in the previous upload. It is not needed with
    our new Qt cross-building approach when we call build architecture
    versions of qmake and other Qt tools.
  * Bump Standards-Version to 4.1.1, no changes needed.
  * Fix order of entries in debian/copyright.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 20 Oct 2017 15:12:46 +0300

qtchooser (64-ga1b6736-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream git snapshot.
  * Split the files in /usr/bin into a separate package qtchooser-bin.
    Make the main qtchooser package Multi-Arch: same (see bug #781226).
    Thanks to Helmut Grohne for the suggestions.

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass triplet-prefixed CXX to make (closes: #836457).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 26 Aug 2017 11:04:18 +0300

=== debian/control ===
Source: qtchooser
Section: libdevel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Timo Jyrinki <timo@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>
Build-Depends: debhelper (>= 10),
               dpkg-dev (>= 1.17.14),
               qtbase5-dev (>= 5.9.2+dfsg-3~) <!stage1 !nocheck>
Standards-Version: 4.1.2
Homepage: https://qt-project.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtchooser.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtchooser.git

Package: qtchooser
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt5core5a (<< 5.5.1+dfsg-17~),
        libqtcore4 (<< 4:4.8.7+dfsg-7~),
        qtbase5-dev-tools (<< 5.9.2+dfsg-3~),
        qtchooser-bin (<< 64-ga1b6736-2~),
        qttools5-dev-tools (<< 5.9.2-2~)
Replaces: libqt5core5a (<< 5.5.1+dfsg-17~),
          libqtcore4 (<< 4:4.8.7+dfsg-7~),
          qtchooser-bin (<< 64-ga1b6736-2~)
Description: Wrapper to select between Qt development binary versions
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Chooser provides a wrapper to switch between versions of Qt
 development binaries when multiple versions like 4 and 5 are installed
 or local Qt builds are to be used.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CXXFLAGS_MAINT_APPEND := $(shell dpkg-buildflags --get CPPFLAGS)
export LFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

include /usr/share/dpkg/architecture.mk
ifeq ($(origin CXX),default)
	CXX = $(DEB_HOST_GNU_TYPE)-g++
endif

%:
	dh $@

override_dh_auto_build:
	make QTCHOOSER_GLOBAL_DIR=/usr/share:/usr/lib/$(DEB_HOST_MULTIARCH):/usr/lib/$(DEB_HOST_MULTIARCH)/qt-default CXX=$(CXX)

override_dh_auto_install:
	make install INSTALL_ROOT=$(CURDIR)/debian/qtchooser

	mkdir -p $(CURDIR)/debian/qtchooser/usr/share/qtchooser
	mkdir -p $(CURDIR)/debian/qtchooser/usr/lib/$(DEB_HOST_MULTIARCH)/qtchooser

	echo "/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/bin" > $(CURDIR)/debian/qtchooser/usr/share/qtchooser/qt4-$(DEB_HOST_MULTIARCH).conf
	echo "/usr/lib/qt5/bin" > $(CURDIR)/debian/qtchooser/usr/share/qtchooser/qt5-$(DEB_HOST_MULTIARCH).conf
	for ver in 4 5; do \
		echo "/usr/lib/$(DEB_HOST_MULTIARCH)" >> $(CURDIR)/debian/qtchooser/usr/share/qtchooser/qt$${ver}-$(DEB_HOST_MULTIARCH).conf; \
		ln -s /usr/share/qtchooser/qt$${ver}-$(DEB_HOST_MULTIARCH).conf \
			$(CURDIR)/debian/qtchooser/usr/lib/$(DEB_HOST_MULTIARCH)/qtchooser/$${ver}.conf; \
		ln -s /usr/share/qtchooser/qt$${ver}-$(DEB_HOST_MULTIARCH).conf \
			$(CURDIR)/debian/qtchooser/usr/lib/$(DEB_HOST_MULTIARCH)/qtchooser/qt$${ver}.conf; \
	done

override_dh_auto_test:
ifeq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	make check QMAKE=/usr/lib/qt5/bin/qmake
endif
endif

## qtchooser 66

=== Makefile ===
--- 
+++ 
@@ -35,6 +35,7 @@
 	qmlscene \
 	qmltestrunner \
 	qmlviewer \
+	qtattributionsscanner \
 	qtconfig \
 	qtdiag \
 	qtpaths \

=== debian/changelog ===
qtchooser (66-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:55:16 +0100

qtchooser (66-2) unstable; urgency=medium

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Dmitry Shachnev ]
  * Build with large file support (closes: #928344).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 03 May 2019 19:08:24 +0300

qtchooser (66-1) unstable; urgency=medium

  [ Simon Quigley ]
  * Add my name to Uploaders.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Drop fix_endsWith_check.diff, applied upstream.
  * Update Vcs fields for migration to salsa.debian.org.
  * Update debian/watch for the new tarballs location.
  * Bump debhelper compat level to 11.
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 27 Nov 2018 23:22:49 +0300

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DEB_CXXFLAGS_MAINT_APPEND := $(shell dpkg-buildflags --get CPPFLAGS)
+export DEB_CXXFLAGS_MAINT_APPEND := $(shell DEB_BUILD_MAINT_OPTIONS=future=+lfs dpkg-buildflags --get CPPFLAGS)
 export LFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
 include /usr/share/dpkg/architecture.mk

=== debian/watch ===
version=4
https://download.qt.io/official_releases/qtchooser/qtchooser@ANY_VERSION@@ARCHIVE_EXT@

## qtchooser 66+p24.04+vrelease+git20250829.0151

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,19 @@
 MKDIR  = mkdir -p
-prefix = /usr
+prefix = /usr/local
 bindir = $(prefix)/bin
-TOOLS = assistant \
+TOOLS = \
+	androiddeployqt \
+	androidtestrunner \
+	assistant \
+	balsam \
+	balsamui \
 	designer \
+	instancer \
 	lconvert \
 	linguist \
 	lrelease \
 	lupdate \
+	meshdebug \
 	moc \
 	pixeltool \
 	qcollectiongenerator \
@@ -14,27 +21,39 @@
 	qdbuscpp2xml \
 	qdbusviewer \
 	qdbusxml2cpp \
+	qdistancefieldgenerator \
 	qdoc \
 	qdoc3 \
 	qgltf \
+	qfileopeneventexternal \
 	qhelpconverter \
 	qhelpgenerator \
+	qjstest \
 	qlalr \
 	qmake \
 	qml \
 	qml1plugindump \
 	qmlbundle \
 	qmlcachegen \
+	qmldom \
 	qmleasing \
 	qmlimportscanner \
+	qmlformat \
 	qmljs \
 	qmllint \
 	qmlmin \
 	qmlplugindump \
+	qmlpreview \
 	qmlprofiler \
 	qmlscene \
 	qmltestrunner \
+	qmltime \
 	qmlviewer \
+	qsb \
+	qt-cmake \
+	qt-cmake-private \
+	qt-cmake-standalone-test \
+	qt-configure-module \
 	qtattributionsscanner \
 	qtconfig \
 	qtdiag \
@@ -43,6 +62,7 @@
 	qvkgen \
 	rcc \
 	repc \
+	shadergen \
 	uic \
 	uic3 \
 	xmlpatterns \

=== src/qtchooser/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-prefix = /usr
+prefix = /usr/local
 bindir = $(prefix)/bin
 
 ####### Compiler, tools and options

=== debian/changelog ===
qtchooser (66+p24.04+vrelease+git20250829.0151-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 29 Aug 2025 01:51:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: qtchooser
 Section: libdevel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Timo Jyrinki <timo@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper (>= 10),
+           Dmitry Shachnev <mitya57@debian.org>,
+           Simon Quigley <tsimonq2@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
+               qt6-base-dev,
                qtbase5-dev (>= 5.9.2+dfsg-3~) <!stage1 !nocheck>
-Standards-Version: 4.1.2
+Standards-Version: 4.3.0
 Homepage: https://qt-project.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtchooser.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtchooser.git
+Vcs-Git: https://invent.kde.org/neon/qt/qtchooser.git
+Vcs-Browser: https://invent.kde.org/neon/qt/qtchooser
+Maintainer: Neon CI <neon@kde.org>
 
 Package: qtchooser
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -15,14 +15,14 @@
 	make QTCHOOSER_GLOBAL_DIR=/usr/share:/usr/lib/$(DEB_HOST_MULTIARCH):/usr/lib/$(DEB_HOST_MULTIARCH)/qt-default CXX=$(CXX)
 
 override_dh_auto_install:
-	make install INSTALL_ROOT=$(CURDIR)/debian/qtchooser
+	prefix=/usr make -e install INSTALL_ROOT=$(CURDIR)/debian/qtchooser
 
 	mkdir -p $(CURDIR)/debian/qtchooser/usr/share/qtchooser
 	mkdir -p $(CURDIR)/debian/qtchooser/usr/lib/$(DEB_HOST_MULTIARCH)/qtchooser
 
-	echo "/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/bin" > $(CURDIR)/debian/qtchooser/usr/share/qtchooser/qt4-$(DEB_HOST_MULTIARCH).conf
+	echo "/usr/lib/qt6/bin" > $(CURDIR)/debian/qtchooser/usr/share/qtchooser/qt6-$(DEB_HOST_MULTIARCH).conf
 	echo "/usr/lib/qt5/bin" > $(CURDIR)/debian/qtchooser/usr/share/qtchooser/qt5-$(DEB_HOST_MULTIARCH).conf
-	for ver in 4 5; do \
+	for ver in 6 5; do \
 		echo "/usr/lib/$(DEB_HOST_MULTIARCH)" >> $(CURDIR)/debian/qtchooser/usr/share/qtchooser/qt$${ver}-$(DEB_HOST_MULTIARCH).conf; \
 		ln -s /usr/share/qtchooser/qt$${ver}-$(DEB_HOST_MULTIARCH).conf \
 			$(CURDIR)/debian/qtchooser/usr/lib/$(DEB_HOST_MULTIARCH)/qtchooser/$${ver}.conf; \
